org.richfaces.component

## Class UIComboBox

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIComboBox

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlComboBox

      public abstract class UIComboBox
      extends javax.faces.component.UIInput

  UI implementation of ComboBox component
  Since:
    3.2.0
  Author:
    Anton Belevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UIInput

      `COMPONENT_FAMILY, COMPONENT_TYPE, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIComboBox()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getDefaultLabel()`
    `abstract java.lang.Object` | `getSuggestionValues()`
    `abstract boolean` | `isEnableManualInput()`
    `abstract void` | `setDefaultLabel(java.lang.String label)`
    `abstract void` | `setEnableManualInput(boolean enableManualInput)`
    `abstract void` | `setSuggestionValues(java.lang.Object value)`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Constructor Detail

    - #### UIComboBox

          public UIComboBox()

  - ### Method Detail

    - #### getSuggestionValues

          public abstract java.lang.Object getSuggestionValues()

    - #### setSuggestionValues

          public abstract void setSuggestionValues(java.lang.Object value)

    - #### getDefaultLabel

          public abstract java.lang.String getDefaultLabel()

    - #### setDefaultLabel

          public abstract void setDefaultLabel(java.lang.String label)

    - #### isEnableManualInput

          public abstract boolean isEnableManualInput()

    - #### setEnableManualInput

          public abstract void setEnableManualInput(boolean enableManualInput)

Copyright © 2013. All Rights Reserved.